Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 16 Oct 2019, 01:13
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff)
new linux foxit pdf reader
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
zagreb999

Joined: 11 Apr 2014
Posts: 495
Location: Yugoslavija

PostPosted: Sun 14 Oct 2018, 03:37    Post subject:  new linux foxit pdf reader  

new linux foxit pdf reader 2.4.4

https://www.foxitsoftware.com/pdf-reader/
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 1368
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Sun 06 Oct 2019, 20:55    Post subject: Re: new linux foxit pdf reader  

zagreb999 wrote:
new linux foxit pdf reader 2.4.4

https://www.foxitsoftware.com/pdf-reader/


I installed this FoxitReader 2.4.4
The install does not create a menu entry,

Attached is a PET file to create a menu entry in the Document menu after installing FoxitReader downloaded from the foxitsoftware site.
foxitreader_2.4.4_menu-fix.pet
Description 
pet

 Download 
Filename  foxitreader_2.4.4_menu-fix.pet 
Filesize  15.61 KB 
Downloaded  16 Time(s) 
Back to top
View user's profile Send private message 
MochiMoppel


Joined: 26 Jan 2011
Posts: 1921
Location: Japan

PostPosted: Mon 07 Oct 2019, 01:54    Post subject: Re: new linux foxit pdf reader  

perdido wrote:
after installing FoxitReader downloaded from the foxitsoftware site.
Which one?
I downloaded FoxitReader.enu.setup.2.4.4.0910.x86.run.tar.gz , which eventually created a monster: 254MB for the installation directory, The FoxitReader executable alone amounts to 87MB (and doesn't even start in Slacko 5.6). Is there a slimmer version?

My current FoxitReader 1.1.0 takes merely 4MB. Only annoyance: Would always open with Navigation Panel visible, no way to keep it off by default
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2214
Location: Out wandering... maybe.

PostPosted: Mon 07 Oct 2019, 03:33    Post subject:  

Works for me in XenialPup (32), although I had to rename the setup file because the name kept triggering a syntax error when run. MochiMoppel - have you tried running FoxitReader from a terminal to see what error messages pop up?

Yeah, it's a bit... big. If I run FoxitReader's binary through UPX, though, it goes from around 87MB to 27MB, and still runs. Haven't tried compressing any of the other files in the directory.

Code:
upx -9 FoxitReader
                       Ultimate Packer for eXecutables
                          Copyright (C) 1996 - 2018
UPX 3.95        Markus Oberhumer, Laszlo Molnar & John Reiser   Aug 26th 2018

        File size         Ratio      Format      Name
   --------------------   ------   -----------   -----------
  91164098 ->  27642400   30.32%   linux/i386    FoxitReader                   

Packed 1 file.

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
MochiMoppel


Joined: 26 Jan 2011
Posts: 1921
Location: Japan

PostPosted: Mon 07 Oct 2019, 03:59    Post subject:  

Makoto wrote:
MochiMoppel - have you tried running FoxitReader from a terminal to see what error messages pop up

This one:
Code:
/opt/foxitsoftware/foxitreader/FoxitReader: /lib/libc.so.6: version `GLIBC_2.17' not found (required by /opt/foxitsoftwarefoxitreader/FoxitReader)
/opt/foxitsoftware/foxitreader/FoxitReader: /lib/libc.so.6: version `GLIBC_2.17' not found (required by /opt/foxitsoftwarefoxitreader/lib/libgstreamer-0.10.so.0)
I can read the manual. From what I can see there are no new features that would make an update worthwhile.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 1368
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Mon 07 Oct 2019, 04:00    Post subject: Re: new linux foxit pdf reader  

MochiMoppel wrote:
Which one?
I downloaded FoxitReader.enu.setup.2.4.4.0910.x86.run.tar.gz


Same version FoxitReader I used. I ran it in Precise-Light-5.7.1

I did some testing, the Foxit will not start in the original Precise 5.7.1 due to an older GLIBC, it needs at least GLIBC_2.17
Code:
/opt/foxitsoftware/foxitreader/FoxitReader: /lib/libc.so.6: version `GLIBC_2.17' not found (required by /opt/foxitsoftware/foxitreader/FoxitReader)


I checked out Slacko 5.6 PAE and it has an older GLIBC and refused to run.

There is a workaround to this if you want to upgrade GLIBC
If you do this pay attention to the install order, the gcc-4.9.2.pet needs to be installed last or system could hang/crash.

After updating GLIBC in Slacko 5.6 PAE and installing and loading FoxitReader2.4.4 the program started right up.
I did not even have to save to the save file, just loading the PET files was enough.
I downloaded the files from Battleshooter's post that has a GLIBC 2.20 upgrade, had to get the files from archive.org (thanks Ally!) because no longer available at links.

Here are some working links for the files

Downloads
glibc-2.20.pet 27.7 MB - https://archive.org/download/RussoodlessPuppyLinuxStuff-battleshooter/glibc-2.20.pet
gcc-4.9.2.pet 35.8 MB - https://archive.org/download/RussoodlessPuppyLinuxStuff-battleshooter/gcc-4.9.2.pet
binutils-2.24.pet 11.5 MB - https://archive.org/download/RussoodlessPuppyLinuxStuff-battleshooter/binutils-2.24.pet

GCC dependencies:
gmp-6.0.0.pet 636 KB - https://archive.org/download/RussoodlessPuppyLinuxStuff-battleshooter/gmp-6.0.0.pet
mpc-1.0.2.pet 110 KB - https://archive.org/download/RussoodlessPuppyLinuxStuff-battleshooter/mpc-1.0.2.pet
mpfr-3.1.2.pet 469 KB - https://archive.org/download/RussoodlessPuppyLinuxStuff-battleshooter/mpfr-3.1.2.pet

If you want to look at whats there in that archive here is the link
https://archive.org/download/RussoodlessPuppyLinuxStuff-battleshooter

.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 1368
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Mon 07 Oct 2019, 04:07    Post subject:  

Makoto wrote:

Yeah, it's a bit... big. If I run FoxitReader's binary through UPX, though, it goes from around 87MB to 27MB, and still runs. Haven't tried compressing any of the other files in the directory.

Code:
upx -9 FoxitReader
                       Ultimate Packer for eXecutables
                          Copyright (C) 1996 - 2018
UPX 3.95        Markus Oberhumer, Laszlo Molnar & John Reiser   Aug 26th 2018

        File size         Ratio      Format      Name
   --------------------   ------   -----------   -----------
  91164098 ->  27642400   30.32%   linux/i386    FoxitReader                   

Packed 1 file.


Wow, thats a great utility. Thanks for showing that trick Smile

.
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2214
Location: Out wandering... maybe.

PostPosted: Tue 08 Oct 2019, 01:53    Post subject:  

You can use upx -9 *.* to let it automatically try compressing everything in a directory (and skipping whatever can't or shouldn't be compressed).

I think I got Foxit's directory down to about 130MB after running through all the subdirectories... but then it wouldn't run, so I'm guessing it doesn't like one or more of the libraries being compressed.

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0474s ][ Queries: 12 (0.0083s) ][ GZIP on ]